job_name: db410c-test
device_type: dragonboard-410c
timeouts:
  job:
    minutes: 40
  action:
   minutes: 10
  actions:
    power-off:
      seconds: 30
priority: 75
visibility: public
actions:
- deploy:
    timeout:
      minutes: 10
    to: tftp
    kernel:
      url: https://gitlab.freedesktop.org/anholt/mesa/-/jobs/1488325/artifacts/raw/artifacts/Image
      type: image
    ramdisk:
      url: https://gitlab.freedesktop.org/anholt/mesa/-/jobs/1488325/artifacts/raw/artifacts/lava-rootfs-arm64.cpio.gz
      compression: gz
    dtb:
      url: https://gitlab.freedesktop.org/anholt/mesa/-/jobs/1488325/artifacts/raw/artifacts/apq8016-sbc.dtb
    os: oe
- boot:
    timeout:
      minutes: 5
    method: u-boot
    commands: ramdisk
    prompts:
      - '#' 
- test:
    timeout:
      minutes: 60
    definitions:
    - repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: deqp
          description: "Mesa dEQP test plan"
          os:
          - oe
          scope:
          - functional
        run:
          steps:
          - mount -t proc none /proc
          - mount -t sysfs none /sys 
          - mount -t devtmpfs none /dev
          - mkdir -p /dev/pts
          - mount -t devpts devpts /dev/pts

          - export DEQP_PARALLEL=6

          - export DEQP_NO_SAVE_RESULTS=1
          - 'export DEQP_RUNNER_OPTIONS="--compact-display false --shuffle false"'
          - export DEQP_EXPECTED_FAILS=deqp-lima-fails.txt
          - export DEQP_SKIPS=deqp-lima-skips.txt
          - export DEQP_VER=gles2
          - export LIBGL_DRIVERS_PATH=`pwd`/install/lib/dri
          - export CI_NODE_INDEX=
          - export CI_NODE_TOTAL=1

          # Put stuff where the runner script expects it
          - mkdir artifacts
          - mkdir results
          - mkdir -p install/lib
          - cp /deqp/$DEQP_EXPECTED_FAILS artifacts/.
          - cp /deqp/$DEQP_SKIPS artifacts/.
          - mv /mesa/lib/* install/lib/.

          - "if sh /deqp/deqp-runner.sh; then
                  echo 'deqp: pass';
             else
                  echo 'deqp: fail';
             fi"
        parse:
          pattern: '(?P<test_case_id>\S*):\s+(?P<result>(pass|fail))'
      from: inline
      name: deqp
      path: inline/mesa-deqp.yaml
